Devuan bug report logs - #248
Pip3 can't list outdated packages.

Package: python3-pip; Reported by: =?UTF-8?B?zpPOuc+Oz4HOs86/z4IgzprPic+Dz4TPjM+Azr/Phc67zr/Pgg==?= <giorgosk67@gmail.com>;
Date: Sat, 13 Oct 2018 16:33:01 UTC;
Maintainer for python3-pip is (unknown).

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#248; Package python3-pip. Full text available.



Acknowledgement sent to =?UTF-8?B?zpPOuc+Oz4HOs86/z4IgzprPic+Dz4TPjM+Azr/Phc67zr/Pgg==?= <giorgosk67@gmail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at submit@bugs.devuan.org:

From: =?UTF-8?B?zpPOuc+Oz4HOs86/z4IgzprPic+Dz4TPjM+Azr/Phc67zr/Pgg==?= <giorgosk67@gmail.com>
Date: Sat, 13 Oct 2018 19:12:03 +0300
Subject: Pip3 can't list outdated packages.
To: submit@bugs.devuan.org

Package: python3-pip
Version: 9.0.1-2

Pip3 fails to locate packages, needs updating.
Trying to do that, throws an exception.

Please take a look, at the following console output:
>pip3 list -o
Exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
  File "/usr/lib/python3/dist-packages/pip/commands/list.py", line 157, in run
    packages = self.get_outdated(packages, options)
  File "/usr/lib/python3/dist-packages/pip/commands/list.py", line
168, in get_outdated
    dist for dist in self.iter_packages_latest_infos(packages, options)
  File "/usr/lib/python3/dist-packages/pip/commands/list.py", line
169, in <listcomp>
    if dist.latest_version > dist.parsed_version
TypeError: unorderable types: Version() > SetuptoolsVersion()
>

On ASCII x64 KDE.





Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue, 11 Dec 2018 09:46:33 UTC